"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const logger_1 = require("@athenna/logger");
/**
 * Mocking the Logger to not show Athenna logs in test environment
 */
exports.Logger = Env('NODE_ENV') === 'test'
    ? {
        channel: (_channel, _runtimeConfig) => { },
        log: (_message, _options = {}) => { },
        info: (_message, _options = {}) => { },
        warn: (_message, _options = {}) => { },
        error: (_message, _options = {}) => { },
        debug: (_message, _options = {}) => { },
        success: (_message, _options = {}) => { },
    }
    : new logger_1.Logger();
